CVE-2007-1734

HIGH

Description

The DCCP support in the do_dccp_getsockopt function in net/dccp/proto.c in Linux kernel 2.6.20 and later does not verify the upper bounds of the optlen value, which allows local users running on certain architectures to read kernel memory or cause a denial of service (oops), a related issue to CVE-2007-1730.

References

http://securityreason.com/securityalert/2511

http://www.securityfocus.com/archive/1/463969/100/0/threaded

http://www.securitytracker.com/id?1017820

https://exchange.xforce.ibmcloud.com/vulnerabilities/33274

https://exchange.xforce.ibmcloud.com/vulnerabilities/43321

Details

Source: MITRE

Published: 2007-03-28

Updated: 2018-10-16

Risk Information

CVSS v2.0

Base Score: 7.2

Vector: AV:L/AC:L/Au:N/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 3.9

Severity: HIGH